### Method

# Gio TlsConnection get_rehandshake_mode

deprecated: 2.60. since: 2.28

#### Declaration

    GTlsRehandshakeMode
    g_tls_connection_get_rehandshake_mode (
      GTlsConnection* conn
    )

#### Description

Gets `conn` rehandshaking mode. See `g_tls_connection_set_rehandshake_mode()` for details.

Available since: 2.28

Deprecated since: 2.60.

Changing the rehandshake mode is no longer required for compatibility. Also, rehandshaking has been removed from the TLS protocol in TLS 1.3.

Gets property | `Gio.TlsConnection:rehandshake-mode`

#### Return value

Type: `GTlsRehandshakeMode`

`G_TLS_REHANDSHAKE_SAFELY`.